import * as React from 'react';
import { DefaultProps, RenditionSystemProps } from '../../common-types';
interface WrapperProps extends DefaultProps {
    minHeight?: string;
    small?: boolean;
}
export interface InternalCardProps extends WrapperProps {
    title?: string;
    cta?: JSX.Element;
    rows?: JSX.Element[];
    children?: any;
}
export declare type CardProps = InternalCardProps & RenditionSystemProps;
declare const _default: React.FunctionComponent<CardProps>;
export default _default;
