import * as React from 'react';
import { DefaultProps, RenditionSystemProps } from '../../common-types';
export interface InternalStepsProps extends DefaultProps {
    titleText?: string;
    titleIcon?: React.ReactNode;
    onClose?: () => void;
}
export interface StepProps {
    children: string;
    status: 'none' | 'pending' | 'completed';
    onClick?: () => void;
}
export declare const Step: ({ status, children, onClick }: StepProps) => JSX.Element;
export declare type StepsProps = InternalStepsProps & RenditionSystemProps;
declare const _default: React.ForwardRefExoticComponent<InternalStepsProps & import("../../common-types").Tooltip & import("../../common-types").StyledSystemProps & React.RefAttributes<HTMLDivElement>>;
export default _default;
