"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var asRendition_1 = __importDefault(require("../../../../asRendition"));
var utils_1 = require("../../../../utils");
exports.LegendElement = styled_components_1.default.legend(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tfont-size: ", ";\n\tcolor: #252629;\n\tmargin-top: 16px;\n\tmargin-bottom: 8px;\n\tborder-bottom: 1px solid ", ";\n\twidth: 100%;\n"], ["\n\tfont-size: ", ";\n\tcolor: #252629;\n\tmargin-top: 16px;\n\tmargin-bottom: 8px;\n\tborder-bottom: 1px solid ", ";\n\twidth: 100%;\n"])), function (props) { return utils_1.px(props.theme.fontSizes[3]); }, function (props) { return utils_1.px(props.theme.colors.gray.light); });
var TitleFieldBase = function (props) {
    var id = props.id, required = props.required, title = props.title, theme = props.theme;
    if (!title) {
        return null;
    }
    return (React.createElement(exports.LegendElement, { id: id, theme: theme },
        title,
        required && '*'));
};
exports.TitleField = asRendition_1.default(TitleFieldBase);
var templateObject_1;
