import { JSONSchema6 } from 'json-schema';
import * as React from 'react';
import { IChangeEvent } from 'react-jsonschema-form';
import { FormProps } from '../../unstable-typings';
interface FormState {
    value: any;
    schema: JSONSchema6;
}
export default class FormHOC extends React.Component<FormProps, FormState> {
    private formRef;
    static getDerivedStateFromProps(props: FormProps, state: FormState): {
        schema: JSONSchema6;
        value: string | number | boolean | any[] | import("../../unstable-typings").AnyObject | null | undefined;
    } | {
        value: string | number | boolean | any[] | import("../../unstable-typings").AnyObject | null | undefined;
        schema?: undefined;
    } | undefined;
    static registerWidget(name: string, value: any): void;
    componentDidUpdate(prevProps: FormProps): void;
    change: (data: IChangeEvent<any>) => void;
    submit: () => void;
    render(): JSX.Element;
}
export {};
