import get from 'lodash/get';
export var normal = function (props) {
    return get(props.theme, 'weights.0');
};
export var bold = function (props) {
    return get(props.theme, 'weights.1');
};
export var px = function (n) { return (typeof n === 'number' ? n + 'px' : n); };
export var monospace = function (props) {
    return props.monospace ? "font-family: " + props.theme.monospace : null;
};
export var emphasized = function (props) {
    return "height: " + px(props.emphasized ? props.theme.space[5] : props.theme.space[4]);
};
