"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var get_1 = __importDefault(require("lodash/get"));
exports.normal = function (props) {
    return get_1.default(props.theme, 'weights.0');
};
exports.bold = function (props) {
    return get_1.default(props.theme, 'weights.1');
};
exports.px = function (n) { return (typeof n === 'number' ? n + 'px' : n); };
exports.monospace = function (props) {
    return props.monospace ? "font-family: " + props.theme.monospace : null;
};
exports.emphasized = function (props) {
    return "height: " + exports.px(props.emphasized ? props.theme.space[5] : props.theme.space[4]);
};
